# $Revision: 1.3.2.2 $, $Date: 2003/04/10 15:16:03 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Curses
%define	pnam	UI
Summary:	Curses::UI - a UI framework based on the curses library
Summary(pl):	Curses::UI - interfejs uytkownika oparty na bibliotece curses
Name:		perl-Curses-UI
Version:	0.73
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-Curses
BuildRequires:	perl-Term-ReadKey
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Curses::UI Perl module is a UI framework based on the curses library.
It can be used for the development of curses based user interfaces.

%description -l pl
Modu Perla Curses::UI stanowi szkielet oparty na bibliotece curses.
Moe suy do konstruowania interfejsw uytkownika w oparciu o
bibliotek curses.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_sitelib}/Curses/UI.pm
%{perl_sitelib}/Curses/UI
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Curses-UI.spec,v $
Revision 1.3.2.2  2003/04/10 15:16:03  ankry
- hopefully better summary / description
- updated to 0.73
- cosmetics

Revision 1.3.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:16  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/09/13 11:16:57  grabba
- initial version by Jarosaw Lejk
- release 1
